/* AT keycode conversion table */
const uint8_t keymap_at_tab[] = {
	0x00,	// 00h []
	0x6B,	// 01h [F9]
	0x00,	// 02h []
	0x67,	// 03h [F5]
	0x65,	// 04h [F3]
	0x63,	// 05h [F1]
	0x64,	// 06h [F2]
	0x00,	// 07h [F12]
	0x00,	// 08h []
	0x6c,	// 09h [F10]
	0x6a,	// 0Ah [F8]
	0x68,	// 0Bh [F6]
	0x66,	// 0Ch [F4]
	0x10,	// 0Dh [TAB]
	0x61,	// 0Eh [`]
	0x00,	// 0Fh []
	0x00,	// 10h []
	0x73,	// 11h [LEFT ALT]
	0x70,	// 12h [LEFT SHIFT]
	0x00,	// 13h []
	0x71,	// 14h [LEFT CTRL]
	0x11,	// 15h [Q]
	0x02,	// 16h [1]
	0x00,	// 17h []
	0x00,	// 18h []
	0x00,	// 19h []
	0x2a,	// 1Ah [Z]
	0x1f,	// 1Bh [S]
	0x1e,	// 1Ch [A]
	0x12,	// 1Dh [W]
	0x03,	// 1Eh [2]
	0x00,	// 1Fh []
	0x00,	// 20h []
	0x2c,	// 21h [C]
	0x2b,	// 22h [X]
	0x20,	// 23h [D]
	0x13,	// 24h [E]
	0x05,	// 25h [4]
	0x04,	// 26h [3]
	0x00,	// 27h []
	0x00,	// 28h []
	0x35,	// 29h [SPACE]
	0x2d,	// 2Ah [V]
	0x21,	// 2Bh [F]
	0x15,	// 2Ch [T]
	0x14,	// 2Dh [R]
	0x06,	// 2Eh [5]
	0x00,	// 2Fh []
	0x00,	// 30h []
	0x2f,	// 31h [N]
	0x2e,	// 32h [B]
	0x23,	// 33h [H]
	0x22,	// 34h [G]
	0x16,	// 35h [Y]
	0x07,	// 36h [6]
	0x00,	// 37h []
	0x00,	// 38h []
	0x00,	// 39h []
	0x30,	// 3Ah [M]
	0x24,	// 3Bh [J]
	0x17,	// 3Ch [U]
	0x08,	// 3Dh [7]
	0x09,	// 3Eh [8]
	0x00,	// 3Fh []
	0x00,	// 40h []
	0x31,	// 41h [,]
	0x25,	// 42h [K]
	0x18,	// 43h [I]
	0x19,	// 44h [O]
	0x0b,	// 45h [0]
	0x8a,	// 46h [9]
	0x00,	// 47h []
	0x00,	// 48h []
	0x32,	// 49h [.]
	0x33,	// 4Ah [/]
	0x26,	// 4Bh [L]
	0x27,	// 4Ch [;]
	0x1a,	// 4Dh [P]
	0x0c,	// 4Eh [-]
	0x00,	// 4Fh []
	0x00,	// 50h []
	0x00,	// 51h []
	0x28,	// 52h [']
	0x00,	// 53h []
	0x1c,	// 54h [[]
	0x4a,	// 55h [=]
	0x00,	// 56h []
	0x00,	// 57h []
	0x5d,	// 58h [CAPS LOCK]
	0x70,	// 59h [RIGHT SHIFT]
	0x1d,	// 5Ah [RETURN]
	0x29,	// 5Bh []]
	0x00,	// 5Ch []
	0x0e,	// 5Dh [\]
	0x00,	// 5Eh []
	0x00,	// 5Fh []
	0x00,	// 60h []
	0x00,	// 61h []
	0x00,	// 62h []
	0x00,	// 63h []
	0x00,	// 64h []
	0x00,	// 65h []
	0x0F,	// 66h [BACKSPACE]
	0x00,	// 67h []
	0x00,	// 68h []
	0x4b,	// 69h [KEYPAD 1]
	0x00,	// 6Ah []
	0x47,	// 6Bh [KEYPAD 4]
	0x43,	// 6Ch [KEYPAD 7]
	0x00,	// 6Dh []
	0x00,	// 6Eh []
	0x00,	// 6Fh []
	0x4f,	// 70h [KEYPAD 0]
	0x51,	// 71h [KEYPAD .]
	0x4c,	// 72h [KEYPAD 2]
	0x48,	// 73h [KEYPAD 5]
	0x49,	// 74h [KEYPAD 6]
	0x44,	// 75h [KEYPAD 8]
	0x01,	// 76h [ESC]
	0x00,	// 77h [NUM LOCK]
	0x00,	// 78h [F11]
	0x46,	// 79h [KEYPAD +]
	0x4d,	// 7Ah [KEYPAD 3]
	0x42,	// 7Bh [KEYPAD -]
	0x41,	// 7Ch [KEYPAD *]
	0x45,	// 7Dh [KEYPAD 9]
	0x00,	// 7Eh [SCROLL LOCK]
	0x00,	// 7Fh []
	0x00,	// 80h []
	0x00,	// 81h []
	0x00,	// 82h []
	0x69,	// 83h [F7]
	0x00,	// 84h []
	0x00,	// 85h []
	0x00,	// 86h []
	0x00,	// 87h []
	0x00,	// 88h []
	0x00,	// 89h []
	0x00,	// 8Ah []
	0x00,	// 8Bh []
	0x00,	// 8Ch []
	0x00,	// 8Dh []
	0x00,	// 8Eh []
	0x00	// 8Fh []
};

/* Advanced modifiers and multimedias keys table */
const uint8_t keymap_mod_tab[] = {
	0x00,	// 00h []
	0x00,	// 01h []
	0x00,	// 02h []
	0x00,	// 03h []
	0x00,	// 04h []
	0x00,	// 05h []
	0x00,	// 06h []
	0x00,	// 07h []
	0x00,	// 08h []
	0x00,	// 09h []
	0x00,	// 0Ah []
	0x00,	// 0Bh []
	0x00,	// 0Ch []
	0x00,	// 0Dh []
	0x00,	// 0Eh []
	0x00,	// 0Fh []
	0x00,	// 10h [WWW SEARCH]
	0x00,	// 11h [RIGHT APP]
	0x00,	// 12h []
	0x00,	// 13h []
	0x00,	// 14h [RIGHT CTRL]
	0x00,	// 15h [PREVIOUS TRACK]
	0x00,	// 16h []
	0x00,	// 17h []
	0x00,	// 18h [WWW FAVORITES]
	0x00,	// 19h []
	0x00,	// 1Ah []
	0x00,	// 1Bh []
	0x00,	// 1Ch []
	0x00,	// 1Dh []
	0x00,	// 1Eh []
	0x55,	// 1Fh [LEFT MOD]
	0x00,	// 20h [WWW REFRESH]
	0x00,	// 21h [VOL DOWN]
	0x00,	// 22h []
	0x00,	// 23h [MUTE]
	0x00,	// 24h []
	0x00,	// 25h []
	0x00,	// 26h []
	0x00,	// 27h [RIGHT MOD]
	0x00,	// 28h [WWW STOP]
	0x00,	// 29h []
	0x00,	// 2Ah []
	0x00,	// 2Bh [CALCULATOR]
	0x00,	// 2Ch []
	0x00,	// 2Dh []
	0x00,	// 2Eh []
	0x00,	// 2Fh [RIGHT APPS]
	0x00,	// 30h [WWW FORWARD]
	0x00,	// 31h []
	0x00,	// 32h [VOL UP]
	0x00,	// 33h []
	0x00,	// 34h [PLAY/PAUSE]
	0x00,	// 35h []
	0x00,	// 36h []
	0x00,	// 37h [POWER]
	0x00,	// 38h [WWW BACK]
	0x00,	// 39h []
	0x00,	// 3Ah [WWW HOME]
	0x00,	// 3Bh [STOP]
	0x00,	// 3Ch []
	0x00,	// 3Dh []
	0x00,	// 3Eh []
	0x00,	// 3Fh [SLEEP]
	0x00,	// 40h [MY COMPUTER]
	0x00,	// 41h []
	0x00,	// 42h []
	0x00,	// 43h []
	0x00,	// 44h []
	0x00,	// 45h []
	0x00,	// 46h []
	0x00,	// 47h []
	0x00,	// 48h [EMAIL]
	0x00,	// 49h []
	0x40,	// 4Ah [KEYPAD /]
	0x00,	// 4Bh []
	0x00,	// 4Ch []
	0x00,	// 4Dh [NEXT TRACK]
	0x00,	// 4Eh []
	0x00,	// 4Fh []
	0x00,	// 50h [MEDIA SELECT]
	0x00,	// 51h []
	0x00,	// 52h []
	0x00,	// 53h []
	0x00,	// 54h []
	0x00,	// 55h []
	0x00,	// 56h []
	0x00,	// 57h []
	0x00,	// 58h []
	0x00,	// 59h []
	0x4e,	// 5Ah [KEYPAD ENTER]
	0x00,	// 5Bh []
	0x00,	// 5Ch []
	0x00,	// 5Dh []
	0x00,	// 5Eh [WAKE]
	0x00,	// 5Fh []
	0x00,	// 60h []
	0x00,	// 61h []
	0x00,	// 62h []
	0x00,	// 63h []
	0x00,	// 64h []
	0x00,	// 65h []
	0x00,	// 66h []
	0x00,	// 67h []
	0x00,	// 68h []
	0x3a,	// 69h [END]
	0x00,	// 6Ah []
	0x3b,	// 6Bh [ARROW LEFT]
	0x36,	// 6Ch [HOME]
	0x00,	// 6Dh []
	0x00,	// 6Eh []
	0x00,	// 6Fh []
	0x5e,	// 70h [INSERT]
	0x37,	// 71h [DELETE]
	0x3e,	// 72h [ARROW DOWN]
	0x00,	// 73h []
	0x3d,	// 74h [ARROW RIGHT]
	0x3c,	// 75h [ARROW UP]
	0x00,	// 76h []
	0x00,	// 77h []
	0x00,	// 78h []
	0x00,	// 79h []
	0x39,	// 7Ah [PAGE DOWN]
	0x00,	// 7Bh []
	0x00,	// 7Ch []
	0x38,	// 7Dh [PAGE UP]
	0x00,	// 7Eh []
	0x00	// 7Fh []
};

